Name:      kradio4
License:   GPLv2
Summary:   V4L/V4L2-Radio Application for KDE4
Version:   4.0.4
Release:   1%{?dist}
Url:       http://kradio.sourceforge.net/
Group:     Applications/Multimedia
Source0:   http://downloads.sourceforge.net/kradio/%{name}-%{version}.tar.bz2
# Generate a doxygen documentation of the code
Source1:   Doxyfile.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires: cmake >= 2.6.2 
Buildrequires: alsa-lib-devel
Buildrequires: gettext flex doxygen graphviz dbus-devel desktop-file-utils
Buildrequires: kdelibs-devel >= 4.2
Buildrequires: lirc-devel 
Buildrequires: libsndfile-devel
Buildrequires: libogg-devel 
Buildrequires: libvorbis-devel 

%description
KRadio is a comfortable radio application for KDE4 with support for 
V4L and V4L2 radio card drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Timeshifter Capability
* Recording Capabilities (mp3, ogg/vorbis, wav, ...)
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset
files for many cities around the world contributed by KRadio Users.

As KRadio is based on an extendable plugin architecture, contributions
of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

%prep
%setup -q -a 1

iconv -f iso8859-1 -t utf8 TODO -o TODO.txt
touch -r TODO TODO.txt
mv TODO.txt TODO

%build
%cmake_kde4
make %{?_smp_mflags}
doxygen
  
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{_builddir} -type f -name '*.map' -a -size 0 -exec rm -f {} \;
find %{_builddir} -type f -name installdox -exec rm -f {} \;

mkdir -p %{buildroot}%{_kde4_datadir}/doc/HTML/en/%{name}
cp -R %{_builddir}/%{name}-%{version}/html/* \
      %{buildroot}%{_kde4_datadir}/doc/HTML/en/%{name}

%find_lang %{name}.\*

desktop-file-install \
      --add-category X-AudioVideoCapture \
      --add-category X-Streamer \
      --dir %{buildroot}/%{_kde4_datadir}/applications/kde4/ \
      %{buildroot}/%{_kde4_datadir}/applications/kde4/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_kde4_datadir}/icons/locolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_datadir}/icons/hicolor &>/dev/null
    touch --no-create %{_kde4_datadir}/icons/locolor &>/dev/null
    gtk-update-icon-cache %{_kde4_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_kde4_datadir}/icons/locolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_kde4_datadir}/icons/locolor &>/dev/null || :

%files -f %{name}.\*.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL dot-lircrc.example 
%doc README README.* REQUIREMENTS TODO TODO.kdetestscripts
%{_bindir}/%{name}
%{_bindir}/%{name}-convert-presets
%{_libdir}/%{name}
%{_kde4_datadir}/icons/hicolor/*/*/*
%{_kde4_datadir}/icons/locolor/*/*/*
%{_kde4_datadir}/kde4/apps/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/doc/HTML/en/%{name}
%{_datadir}/pixmaps/%{name}.png
%exclude %{_kde4_datadir}/doc/%{name}

%changelog

* Sat Mar 24 2012 Paulo Roma <roma@lcg.ufrj.br> - 4.0.4-1
- Updated to 4.0.4.

* Wed Feb 15 2012 Paulo Roma <roma@lcg.ufrj.br> - 4.0.3-1
- Updated to 4.0.3.

* Fri Jan 07 2011 Paulo Roma <roma@lcg.ufrj.br> - 4.0.2-1
- Updated to 4.0.2

* Tue Jan 11 2010 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-3
- Fixed Source0 URL.

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 4.0.0-2
- Update desktop file according to F-12 FedoraStudio feature

* Mon Jun 01 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-1
- Updated to 4.0.0 final.
- Removed %%{rel} macro.

* Sun May 31 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.12.r889.20090531
- Updated to snapshot 889.
- Using bundled desktop entry.
- Converted TODO to utf8.

* Fri May 29 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.11.r883.20090514
- Removed BR ffmpeg/libmms for Fedora version.

* Fri May 29 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.10.r883.20090514
- Using kde4 macros.
- Not copying icon to /usr/share/pixmaps.
- Created check, post, postun and posttrans sections.
- Using %%cmake_kde4.

* Sat May 14 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.9.r883.20090514
- Updated to snapshot 883.
- Fixed mute/umute again.
- Changed "pulse" for "default" in the pulse patch.

* Fri May 08 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.9.r869.20090508
- Updated to snapshot 869.
- Fixed segfault when reading my .lircrc without a lirc running.

* Fri May 01 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.9.r861.20090501
- Updated to snapshot 861.
- Fixed internet radio mute/unmute when quiting.
- Patched for using pulse audio for playing back.

* Fri May 01 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.8.rc4
- Updated to 4.0.0-rc4.
- Removed unneeded BR strigi-devel.

* Tue Apr 26 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.7.rc3
- Updated to 4.0.0-rc3.

* Tue Apr 14 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.7.r829.20090411
- Using %%cmake. Rpaths removed automatically.
- Changed Source URL.

* Fri Apr 11 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.6.r829.20090411
- Updated to snapshot 829.
- Removed already applied mute patch.

* Fri Apr 10 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.5.r827.20090410
- Updated to snapshot 827.
  svn co https://kradio.svn.sourceforge.net/svnroot/kradio/trunk kradio
- Removed obsolete flag.patch
- Created mute patch for unmuting after power off/power on.

* Fri Apr 10 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.4.rc2
- Updated to 4.0.0-rc2

* Thu Apr 02 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.3.rc1
- Added BR strigi-devel and libmms-devel for internet radio plugin.
- Updated to 4.0.0-rc1

* Fri Mar 31 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0.0-0.1.r778.20090322
- Added BR alsa-lib-devel.

* Fri Mar 27 2009 Paulo Roma <roma@lcg.ufrj.br> - 4.0-0.1.r778.20090322
- Updated to kradio4-snapshot-2009-03-22-r778.
- Rewritten spec file.

* Wed Jun 11 2008 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-4
- Changed BRs qt-devel for qt3-devel and kdelibs-devel for kdelibs3-devel.
- Patched for lirc support in F9.

* Fri May 09 2008 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-3
- Removed unneeded Requires.
- Using find_lang.
- Disabled rpath.
- Removed empty files.

* Sun Feb 04 2007 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-2.1
- Created Doxyfile for generating html docs and man pages.
- Added missing BRs.

* Sat Feb 03 2007 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-2
- Rebuilt for Fedora 6.
- Using unsermake.
- Updated to r497.20061112

* Wed Feb 08 2006 Paulo Roma <roma@lcg.ufrj.br> - r497.20061112-1
- Initial spec file.

